Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.utils.agents
Class LanguageController

    java.lang.Object
      madkit.utils.agents.LanguageController

All Implemented Interfaces:
  Controller

Direct Known Subclasses:
  BeanShellController, JessController, PythonController

    public abstract class LanguageController

extends java.lang.Object
implements Controller

Field Summary
`protected AbstractAgent` | `thisAgent`

Constructor Summary
`LanguageController(AbstractAgent _ag)`
`LanguageController(AbstractAgent _ag, java.lang.String f)`

Method Summary
`void` | `activate()` The activate method which takes precedence over the activate method defined in the agent.
`void` | `doBroadcastMessage(java.lang.String g, java.lang.String r, Message m)`
`void` | `doBroadcastMessage(java.lang.String c, java.lang.String g, java.lang.String r, Message m)`
`void` | `doIt()` The doIt() activation method for synchronous agents.
`void` | `doLaunchAgent(AbstractAgent agent, java.lang.String name, boolean gui)`
`void` | `doPause(int n)`
`void` | `doSendControlMessage(java.lang.String act)`
`void` | `doSendControlMessage(java.lang.String act, java.lang.String cont)`
`void` | `doSendMessage(AgentAddress a, Message m)`
`void` | `doSendMessage(java.lang.String g, java.lang.String r, Message m)`
`void` | `doSendStringMessage(AgentAddress a, java.lang.String m)`
`void` | `end()` The end method which takes precedence over the end method defined in the agent.
`protected void` | `exitImmediatlyOnKill()`
`java.lang.String` | `getBehaviorFile()`
`java.lang.String` | `getLibFile()`
`boolean` | `getWatchControlMessages()`
`boolean` | `getWatchInMessages()`
`boolean` | `getWatchOutMessages()`
`boolean` | `getWatchRestartEngine()`
`protected void` | `handleControlMessage(ControlMessage m)`
`protected void` | `handleMessage(Message m)`
`void` | `live()` The live method which describes the overall behavior of a ("asynchronous") agent.
`void` | `println(java.lang.String s)`
`protected void` | `readMessages()`
`void` | `setBehaviorFile(java.lang.String s)`
`void` | `setLibFile(java.lang.String s)`
`void` | `setWatchControlMessages(boolean v)`
`void` | `setWatchInMessages(boolean v)`
`void` | `setWatchOutMessages(boolean v)`
`void` | `setWatchRestartEngine(boolean v)`
`AbstractAgent` | `thisAgent()`
`void` | `toggleWatchControlMessages()`
`void` | `toggleWatchInMessages()`
`void` | `toggleWatchOutMessages()`
`void` | `toggleWatchRestartEngine()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### thisAgent

    protected AbstractAgent thisAgent

Constructor Detail

### LanguageController

    public LanguageController(AbstractAgent _ag)

### LanguageController

    public LanguageController(AbstractAgent _ag,
                              java.lang.String f)

Method Detail

### thisAgent

    public AbstractAgent thisAgent()

  Specified by:
    `thisAgent` in interface `Controller`

### end

    public void end()

  Description copied from interface: `Controller`
  The end method which takes precedence over the end method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `end` in interface `Controller`

### getLibFile

    public java.lang.String getLibFile()

### setLibFile

    public void setLibFile(java.lang.String s)

### getBehaviorFile

    public java.lang.String getBehaviorFile()

### setBehaviorFile

    public void setBehaviorFile(java.lang.String s)

### setWatchOutMessages

    public void setWatchOutMessages(boolean v)

### setWatchInMessages

    public void setWatchInMessages(boolean v)

### setWatchRestartEngine

    public void setWatchRestartEngine(boolean v)

### setWatchControlMessages

    public void setWatchControlMessages(boolean v)

### getWatchOutMessages

    public boolean getWatchOutMessages()

### getWatchInMessages

    public boolean getWatchInMessages()

### getWatchRestartEngine

    public boolean getWatchRestartEngine()

### getWatchControlMessages

    public boolean getWatchControlMessages()

### toggleWatchOutMessages

    public void toggleWatchOutMessages()

### toggleWatchInMessages

    public void toggleWatchInMessages()

### toggleWatchRestartEngine

    public void toggleWatchRestartEngine()

### toggleWatchControlMessages

    public void toggleWatchControlMessages()

### activate

    public void activate()

  Description copied from interface: `Controller`
  The activate method which takes precedence over the activate method defined in the agent. You may call the latter by invoking it directly from this method.

  Specified by:
    `activate` in interface `Controller`

### println

    public void println(java.lang.String s)

### handleControlMessage

    protected void handleControlMessage(ControlMessage m)

### exitImmediatlyOnKill

    protected final void exitImmediatlyOnKill()

### live

    public void live()

  Description copied from interface: `Controller`
  The live method which describes the overall behavior of a ("asynchronous") agent.

  Warning: This method takes precedence over the agent's live method. The agent's live method does not work when a controller is "plugged" into an agent..

  Specified by:
    `live` in interface `Controller`

### doIt

    public void doIt()

  The doIt() activation method for synchronous agents. To be defined

  Specified by:
    `doIt` in interface `Controller`

### readMessages

    protected void readMessages()

### handleMessage

    protected void handleMessage(Message m)

### doPause

    public void doPause(int n)

### doLaunchAgent

    public void doLaunchAgent(AbstractAgent agent,
                              java.lang.String name,
                              boolean gui)

### doSendStringMessage

    public void doSendStringMessage(AgentAddress a,
                                    java.lang.String m)

### doSendMessage

    public void doSendMessage(AgentAddress a,
                              Message m)

### doSendControlMessage

    public void doSendControlMessage(java.lang.String act)

### doSendControlMessage

    public void doSendControlMessage(java.lang.String act,
                                     java.lang.String cont)

### doSendMessage

    public void doSendMessage(java.lang.String g,
                              java.lang.String r,
                              Message m)

### doBroadcastMessage

    public void doBroadcastMessage(java.lang.String g,
                                   java.lang.String r,
                                   Message m)

### doBroadcastMessage

    public void doBroadcastMessage(java.lang.String c,
                                   java.lang.String g,
                                   java.lang.String r,
                                   Message m)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.